<?php

namespace app\service\game;

interface GameServiceInterface
{
    /**
     * 创建玩家
     * @return mixed
     */
    public function createPlayer();

    /**
     * 获取玩家信息
     * @return mixed
     */
    public function getPlayer();

    /**
     * 获取游戏列表
     * @return mixed
     */
    public function getSimpleGameList();

    /**
     * 登录
     * @return mixed
     */
    public function login();
}